import {Box, TextField} from '@mui/material'
import {Edit} from '@refinedev/mui'
import {useForm} from '@refinedev/react-hook-form'

export const CarrierEdit = () => {
  const {
    saveButtonProps,
    register,
    formState: {errors},
  } = useForm()

  return (
    <Edit saveButtonProps={saveButtonProps}>
      <Box component="form" sx={{display: 'flex', flexDirection: 'column'}} autoComplete="off">
        <TextField
          {...register('city_id', {
            required: 'This field is required',
          })}
          error={!!(errors as any)?.city_id}
          helperText={(errors as any)?.city_id?.message}
          margin="normal"
          fullWidth
          InputLabelProps={{shrink: true}}
          type="text"
          label={'City ID'}
          name="city_id"
        />

        <TextField
          {...register('full_name', {
            required: 'This field is required',
          })}
          error={!!(errors as any)?.full_name}
          helperText={(errors as any)?.full_name?.message}
          margin="normal"
          fullWidth
          InputLabelProps={{shrink: true}}
          type="text"
          label={'Full Name'}
          name="full_name"
        />

        <TextField
          {...register('short_name', {
            required: 'This field is required',
          })}
          error={!!(errors as any)?.short_name}
          helperText={(errors as any)?.short_name?.message}
          margin="normal"
          fullWidth
          InputLabelProps={{shrink: true}}
          type="text"
          label={'Short Name'}
          name="short_name"
        />
      </Box>
    </Edit>
  )
}
